function E0090()
    MNA()CMU("CS_Grand")FAI(0)
end
function E0091()
    MNA()CMU("CS_Grand")FAI(1)
end
function E0092()
    MNA()CMU("CS_Grand")FAI(2)
end
function E0093()
    MNA()CMU("CS_Grand")FAI(3)
end
function E0094()
    MNA()CMU("CS_Grand")FAI(4)
end

function GoFortressLift()
    FLP("TerminalDown")
    FLP("InLift")
    PRI()FAO(3)TRA("CS_fortress_lift","E0091",19,76)
end

function GoFortress()
    FLP("GetIronKey")
    PRI()FAO(1)TRA("CS_gaudi_mountain_cage","MahinStillSleep",23,14)
end

function CloseShutter()
    KEY()
    DNP("CloseShutter")
    FLP("CloseShutter")
    MOV(PLY())
    MM0()
    WAS()
    WAI(16)
    FON("Camera1")
    WAI(16)
    ANP("Shutter1","down")
    WAI(128)
    ANP("Shutter1","stop")
    FON("Camera2")
    ANP("Shutter2","down")
    WAI(128)
    ANP("Shutter2","stop")
    WAI(16)
    FAC("curly_normal")MS3("The gate is closed,")NOD()
    CAT("\nIt seems they don't want") 
    CAT("\nus to escape.")NOD()CLR()
    CAT("Even though it might be a trap,")NOD()
    CAT("\nWe have no choice but to")
    CAT("\nkeep moving forward.")NOD()
    FOM()
end
